Bug 109001 - yum can't be interrupted
Summary: yum can't be interrupted
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: yum   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-04 06:17 UTC by Ralf Corsepius
Modified: 2007-04-18 16:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 14:38:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2003-11-04 06:17:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031027

Description of problem:
yum can't be interrupted by <ctrl>c.



Version-Release number of selected component (if applicable):
yum-2.0.4-2

How reproducible:
Always

Steps to Reproduce:
Get yourself a internet access (modem, ISDN etc) and try use yum.

The accidentially run a "yum update" on a somewhat outdated
Fedora/Rawhide installation.

Yum doen't show the size of downloads in advance to downloads, so
subsequent downloads can take an arbitrary amount of time and produce
arbitray costs.



Actual Results:  yum doesn't react upon pressing <ctrl>c.


Expected Results:  yum should be interruptable at any time.

Additional info:

Comment 1 Jeff Johnson 2004-01-26 14:38:26 UTC
^C terminates for me:
# yum upgrade
Unable to find pid
Gathering header information file(s) from server(s)
Server: Raw Hide Linux
Exiting on User Cancel

Also
# yum upgrade
Gathering header information file(s) from server(s)
Server: Raw Hide Linux
Finding updated packages
Downloading needed headers
Finding obsoleted packages
Resolving dependencies

Yes there may be other conditions that are not interruptible,
but I sure don't remember seeing one in the last 6 months.

Comment 2 Ralf Corsepius 2004-01-26 14:54:29 UTC
FWIW: I had been able to deterministically reproduce this with the
initial release of FC1. Meanwhile, after some kernel and/or glibc2
updates, this problem only occurs sporadically, esp. with badly
reachable or overloaded servers like download.fedora.redhat.com after
a kernel or glibc update.



Note You need to log in before you can comment on or make changes to this bug.